{{- $is_dark := false -}}
{{- if isset . "is_dark" -}}
{{- $is_dark = or .is_dark (eq .is_dark "true") -}}
{{- end -}}
<nav class='navbar is-transparent {{ if $is_dark }}is-dark{{ end }}'>
    <div class="navbar-brand">
        {{ partial "header/logo.html" . }}
        <a role="button" class="navbar-burger" aria-label="menu" aria-expanded="false" data-target="navbarBasicExample">
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
        </a>
    </div>

    <div id="navbarBasicExample" class="navbar-menu">
        <div class="navbar-end">
            {{ $currentPage := .Page }}
            {{ range site.Menus.main }}
            {{ if .HasChildren }}
            <div class='navbar-item has-dropdown is-hoverable'>
                <a class="navbar-link" href="{{ .URL }}" title="{{ .Title }}">{{ .Title }}</a>
                <div class='navbar-dropdown is-boxed'>
                    {{ range .Children }}
                    {{ .Pre }}
                    <a class='navbar-item {{ if $currentPage.IsMenuCurrent "main" . }}is-active{{end}}'
                        href="{{ .URL }}" title="{{ .Title }}">
                        {{ with .Page.Params.icon }}
                        <span class="icon is-small">
                            {{ partial "page/icon.html" . }}
                        </span>
                        {{ end }}
                        <div class="navbar-content">
                            <p><small class="is-uppercase">{{ .Title }}</small></p>
                        </div>
                    </a>
                    {{ range .Children }}
                    <a class='navbar-item {{ if $currentPage.IsMenuCurrent "main" . }}is-active{{end}}'
                        href="{{ .URL }}" title="{{ .Title }}">
                        <div class="navbar-content">
                            <p><small>{{ .Title }}</small></p>
                        </div>
                    </a>
                    {{ end }}
                    {{ .Post }}
                    <hr class="navbar-divider">
                    {{ end }}
                </div>
            </div>
            {{ else }}
            <a class="navbar-item" href="{{ .URL }}" title="{{ .Title }}">
                {{ .Title }}
            </a>
            {{ end }}
            {{ end }}
            <div class="navbar-item">
                <div class="buttons">
                    <a class="button title is-5 {{ if $is_dark }}is-outlined is-light{{ else }}is-primary{{ end }}"
                        href='{{ ref .Page "/about/contact.md" }}'>
                        Contact Us
                    </a>
                </div>
            </div>
        </div>
    </div>
</nav>